<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage LYMCOIN
 * @since LYMCOIN 1.0
 */

$lymcoin_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$lymcoin_post_format = get_post_format();
$lymcoin_post_format = empty($lymcoin_post_format) ? 'standard' : str_replace('post-format-', '', $lymcoin_post_format);
$lymcoin_animation = lymcoin_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($lymcoin_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($lymcoin_post_format) ); ?>
	<?php echo (!lymcoin_is_off($lymcoin_animation) ? ' data-animation="'.esc_attr(lymcoin_get_animation_classes($lymcoin_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	lymcoin_show_post_featured(array(
		'thumb_size' => lymcoin_get_thumb_size($lymcoin_columns==1 ? 'big' : ($lymcoin_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($lymcoin_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			lymcoin_show_post_meta(apply_filters('lymcoin_filter_post_meta_args', array(), 'sticky', $lymcoin_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>